Contacts
Add Contact to Segment
Add a contact to a manual or static segment.
POST
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl -X POST https://api.mailofly.com/api/v1/contacts/cnt_123/segments \
-H "Authorization: Bearer mf_live_your_api_key" \
-H "Content-Type: application/json" \
-d '{
"segmentId": "seg_vip_customers"
}'
{
"data": {
"contactId": "cnt_123",
"segmentId": "seg_vip_customers",
"status": "added"
}
}
Add a contact to a manual or static segment.
curl -X POST https://api.mailofly.com/api/v1/contacts/cnt_123/segments \
-H "Authorization: Bearer mf_live_your_api_key" \
-H "Content-Type: application/json" \
-d '{
"segmentId": "seg_vip_customers"
}'
{
"data": {
"contactId": "cnt_123",
"segmentId": "seg_vip_customers",
"status": "added"
}
}
curl -X POST https://api.mailofly.com/api/v1/contacts/cnt_123/segments \
-H "Authorization: Bearer mf_live_your_api_key" \
-H "Content-Type: application/json" \
-d '{
"segmentId": "seg_vip_customers"
}'
{
"data": {
"contactId": "cnt_123",
"segmentId": "seg_vip_customers",
"status": "added"
}
}